/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.TramoKmServicioDAO;
import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.Tramo;
import com.rjconsultores.ventaboletos.entidad.TramoKmServicio;
import com.rjconsultores.ventaboletos.entidad.Via;

import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author Rafius
 */
@Repository("tramoKmServicioDAO")
public class TramoKmServicioHibernateDAO extends GenericHibernateDAO<TramoKmServicio, Integer>
        implements TramoKmServicioDAO {

    @Autowired
    public TramoKmServicioHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    public List<TramoKmServicio> buscar(TramoKmServicio tramoKmServicio) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.add(Restrictions.eq("tramo", tramoKmServicio.getTramo()));
        c.add(Restrictions.eq("claseServicio", tramoKmServicio.getClaseServicio()));
        c.add(Restrictions.eq("empresa", tramoKmServicio.getEmpresa()));

        return c.list();
    }
}
